Drop support for Python 3.3
authorOleg Broytman <phd@phdru.name>
Tue, 21 Aug 2018 18:36:33 +0000 (21:36 +0300)
committerOleg Broytman <phd@phdru.name>
Tue, 21 Aug 2018 18:36:33 +0000 (21:36 +0300)
project_template/.travis.yml
project_template/appveyor.yml
project_template/devscripts/requirements/requirements.txt
project_template/setup.py
project_template/tox.ini

index 74a6ebc..1ac2757 100644 (file)
@@ -20,8 +20,6 @@ matrix:
   include:
   - python: "2.7"
     env: TOXENV=py27
-  - python: "3.3"
-    env: TOXENV=py33
   - python: "3.4"
     env: TOXENV=py34
   - python: "3.5"
@@ -39,7 +37,7 @@ matrix:
     - env: TOXENV=pypy
 
 install:
-  - travis_retry pip install --upgrade pip setuptools "tox <= 2.9.1" ppu
+  - travis_retry pip install --upgrade pip setuptools tox ppu
 
 script:
   - tox
index c0606b8..3cf8282 100644 (file)
@@ -32,14 +32,6 @@ environment:
       PYTHON_VERSION: "2.7"
       PYTHON_ARCH: "64"
       PYTHON_HOME: "C:\\Python27-x64"
-    - TOXENV: "py33"
-      PYTHON_VERSION: "3.3"
-      PYTHON_ARCH: "32"
-      PYTHON_HOME: "C:\\Python33"
-    - TOXENV: "py33"
-      PYTHON_VERSION: "3.3"
-      PYTHON_ARCH: "64"
-      PYTHON_HOME: "C:\\Python33-x64"
     - TOXENV: "py34"
       PYTHON_VERSION: "3.4"
       PYTHON_ARCH: "32"
@@ -72,7 +64,7 @@ install:
   - "python --version"
   - "python -c \"import struct; print(struct.calcsize('P') * 8)\""
   - "python -m pip install --upgrade pip setuptools"
-  - "pip install --upgrade \"tox <= 2.9.1\" ppu"
+  - "pip install --upgrade tox ppu"
   - "pip --version"
 
 # No build step - we don't have C extensions
index ccdf6d1..06736f7 100644 (file)
@@ -4,4 +4,4 @@
 
 m_lib.defenc >= 1.0
 m_lib >= 2.0; python_version >= '2.7' and python_version < '3.0'
-m_lib >= 3.0; python_version >= '3.3'
+m_lib >= 3.0; python_version >= '3.4'
index 21eeadb..7e8df8d 100755 (executable)
@@ -41,7 +41,6 @@ setup(
         'Programming Language :: Python :: 2',
         'Programming Language :: Python :: 2.7',
         'Programming Language :: Python :: 3',
-        'Programming Language :: Python :: 3.3',
         'Programming Language :: Python :: 3.4',
         'Programming Language :: Python :: 3.5',
         'Programming Language :: Python :: 3.6',
@@ -49,6 +48,6 @@ setup(
     packages=['{project}'],
     package_data={'{project}': []},
     scripts=[],
-    python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*',
+    python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*',
     requires=[],
 )
index 76dea95..2164f05 100644 (file)
@@ -1,13 +1,12 @@
 [tox]
 minversion = 2.0
 toxworkdir={homedir}/.tox/{project}
-envlist = {py27,py33,py34,py35,py36},{py27,py34}-flake8
+envlist = py27,py3{4,5,6},py{27,34}-flake8
 
 # Base test environment settings
 [testenv]
 basepython =
     py27: {env:TOXPYTHON:python2.7}
-    py33: {env:TOXPYTHON:python3.3}
     py34: {env:TOXPYTHON:python3.4}
     py35: {env:TOXPYTHON:python3.5}
     py36: {env:TOXPYTHON:python3.6}
@@ -32,10 +31,6 @@ commands =
 commands =
     {[general]commands}
 
-[testenv:py33]
-commands =
-    {[general]commands}
-
 [testenv:py34]
 commands =
     {[general]commands}